Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model.entity
Class Memo

    java.lang.Object
      net.sf.borg.model.entity.KeyedEntity<T>
          net.sf.borg.model.entity.EncryptableEntity<Memo>
              net.sf.borg.model.entity.Memo

All Implemented Interfaces:
  Serializable

    public class Memo

extends EncryptableEntity<Memo>

Memo Entity. A Memo is a simple text entry keyed by a memo name. It remains simple since it corresponds to the simple memo objects that can be synced to a palm pilot.

See Also:
  Serialized Form

Constructor Summary
`Memo()`

Method Summary
`protected Memo` | `clone()`
`void` | `decrypt(String password)` decrypt the entity.
`void` | `encrypt(String password)` encrypt the entity.
`Date` | `getCreated()` Gets the creation date.
`String` | `getMemoName()` Gets the memo name.
`String` | `getMemoText()` Gets the memo text.
`Date` | `getUpdated()` Gets the last update date.
`void` | `setCreated(Date created)` Sets the creation date.
`void` | `setMemoName(String xx)` Sets the memo name.
`void` | `setMemoText(String xx)` Sets the memo text.
`void` | `setUpdated(Date updated)` Sets the last update date.

Methods inherited from class net.sf.borg.model.entity.EncryptableEntity
`isEncrypted, setEncrypted`

Methods inherited from class net.sf.borg.model.entity.KeyedEntity
`copy, getKey, setKey`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Memo

    public Memo()

Method Detail

### getMemoName

    public String getMemoName()

  Gets the memo name.

  Returns:
    the memo name

### setMemoName

    public void setMemoName(String xx)

  Sets the memo name.

  Parameters:
    `xx` - the new memo name

### getMemoText

    public String getMemoText()

  Gets the memo text.

  Returns:
    the memo text

### setMemoText

    public void setMemoText(String xx)

  Sets the memo text.

  Parameters:
    `xx` - the new memo text

### getCreated

    public Date getCreated()

  Gets the creation date.

  Returns:
    the creation date

### setCreated

    public void setCreated(Date created)

  Sets the creation date.

  Parameters:
    `created` - the creation date

### getUpdated

    public Date getUpdated()

  Gets the last update date.

  Returns:
    the last update date

### setUpdated

    public void setUpdated(Date updated)

  Sets the last update date.

  Parameters:
    `updated` - the last update date

### clone

    protected Memo clone()

  Overrides:
    `clone` in class `KeyedEntity<Memo>`

### decrypt

    public void decrypt(String password)
                 throws Exception

  Description copied from class: `EncryptableEntity`
  decrypt the entity. This will use the password to get the borg encryption key from the keystore and then will decrypt those fields in the entity that are encrypted. the entity encrypted flag will be set to false.

  Specified by:
    `decrypt` in class `EncryptableEntity<Memo>`
  Parameters:
    `password` - the keystore password
  Throws:
    `Exception`

### encrypt

    public void encrypt(String password)
                 throws Exception

  Description copied from class: `EncryptableEntity`
  encrypt the entity. This will use the password to get the borg encryption key from the keystore and then will encrypt those fields in the entity that are encryptable. the entity encrypted flag will be set to true.

  Specified by:
    `encrypt` in class `EncryptableEntity<Memo>`
  Parameters:
    `password` - the keystore password
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic